Page MenuHomePhabricator

Delete mailing list wikien-bureaucrats
Closed, ResolvedPublic

Description

Following a discussion by the English Wikipedia bureaucrats and the enwiki community, please DELETE the mailing list:

wikien-bureaucrats

Discussion link: https://en.wikipedia.org/w/index.php?title=Wikipedia:Bureaucrats%27_noticeboard&oldid=773606644#Bureaucrat_mailing_list

N.B.: This was created in 2009 per T20006

Event Timeline

Xaosflux created this task.Apr 3 2017, 5:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2017, 5:02 PM
Xaosflux triaged this task as Lowest priority.Apr 3 2017, 5:03 PM
Xaosflux updated the task description. (Show Details)
RobH added a subscriber: RobH.

No comment was made as to keep the archives or delete? Once the list is deleted, the private archives will remain accessible ONLY to those who had an active list password to read the archives before the deletion of the list takes place.

Overall, I'd recommend the deletion of the archives, but I tend to think folks lose access to them, and being unable to moderate or add access, they become leftover cruft on the servers.

Once the decision on removing archives is done, removing the actual list is trivial and I'm happy to do it.

I've moved this over to the site/shell column on the Wikimedia-Mailing-lists dashboard.

@RobH we will review the archive needs and submit a separate ticket for them if this is closed prior to a decision.

RobH added a comment.EditedMay 18 2017, 9:10 PM

I've simply been waiting on acting on this, pending resolution on how to treat archives. As I've pointed out above, leaving the archives in place for a deleted, private archived list, is problematic. With the list being deleted, there is no way to change or refresh a user's access (or add folks) easily to access those archives. (That I am aware of.)

So if a list is private and closed, I find its best to also remove the archives. If that isn't going to be the case here, there is a a good chance that eventually that info will be in accessible to everyone, but we're still storing it indefinitely.

RobH added a comment.May 19 2017, 3:21 PM

No worries, I just saw it sitting and wanted to make it clear I wasn't ignoring it, just waiting for consensus about archives =]

enwiki discussion has asked if there are WMF-Legal issues that need to be addressed - dropped them an email.

@RobH (https://en.wikipedia.org/w/index.php?title=Wikipedia:Bureaucrats%27_noticeboard&oldid=782186616) was opened and closed out as DELETE the archives. Please review that discussion. Note there was no reply from WMF legal - but if there are legal controls in place than existing foundation policies would trump these volunteer decisions.

WMF legal replied:

Wikimedia Legal (sent by jrogers@wikimedia.org)

7:00 PM (22 hours ago)

to me
Hi XXXXXXXXXXXXXXXXXXXXXXXXXX,

Sorry for the delay on responding. I wanted to check with a couple other lawyers at the Foundation. It seems like none of us have access though, and it's not something we're worried about, so whatever decision the community makes is fine.

Best,
Jacob

Legal Counsel
Wikimedia Foundation

Xaosflux raised the priority of this task from Lowest to Low.May 31 2017, 9:33 PM
RobH closed this task as Resolved.May 31 2017, 9:42 PM
RobH claimed this task.

List deleted, with option to remove archives included. All should now be gone.

robh@fermium:~$ sudo -i rmlist -a wikien-bureaucrats
Removing list info
Removing private archives
Removing private archives
wikien-bureaucrats public archives not found as /var/lib/mailman/archives/public/wikien-bureaucrats
wikien-bureaucrats public archives not found as /var/lib/mailman/archives/public/wikien-bureaucrats.mbox

Is this total destruction of a historic set of documents?

@Rich_Farmbrough: See previous comments in this task?